package org.greenstone.gatherer.util;

import javax.swing.tree.TreeNode;

public interface DictionaryTreeNode {
    /** Returns the child at the specified index in this node's child array. */
    public TreeNode getChildAt(int index);
    /** Returns the number of children of this node. */   
    public int getChildCount();
    /** This method should always return the same key, regardless of the value of toString(). */
    public String getKey();
    /** Set the text shown by toString() to the given value. */
    public void setText(String value);
}
